Tutoriel pour Git avec SourceTree  <!-- omit in toc -->
============
Le but de ce tuto est d'expliquer comment faire des commits proprement sur le Gitea de Zoz. 

## Table des matières  <!-- omit in toc -->
- [1. Introduction & Installation](#1-introduction-installation)
- [2. Comment faire un commit proprement](#2-comment-faire-un-commit-proprement)
  - [2.1. Creation des branches](#2-1-creation-des-branches)
    - [2.1.1. Créer une branche à son pseudo `mon_pseudo` depuis la branche `master`](#2-1-1-créer-une-branche-à-son-pseudo-mon-pseudo-depuis-la-branche-master)
    - [2.1.2. Créer Une branche de travail depuis sa branche `mon_pseudo`](#2-1-2-créer-une-branche-de-travail-depuis-sa-branche-mon-pseudo)
  - [2.2. Envoi du premier commit](#2-2-envoi-du-premier-commit)

## 1. Introduction & Installation

Ce petit tuto va utiliser l'application SourceTree : [https://www.sourcetreeapp.com/](https://www.sourcetreeapp.com/).<br>
J'ai essayer plusieurs clients Git pour windows et macOS, et la seule (parmis celles essayées) offre une interface graphique assez similaire sur ces deux plateformes, et est assez facile d'utilisation. Ce tuto sera donc en partie rédigé pour utiliser cette application.

Vous devrez aussi avoir installé Git pour windows (ou macos) : [https://git-scm.com/downloads](https://git-scm.com/downloads). Ça pourra être nécessaire si on passe par la ligne de commande.


## 2. Comment faire un commit proprement

### 2.1. Creation des branches

#### 2.1.1. Créer une branche à son pseudo `mon_pseudo` depuis la branche `master`

#### 2.1.2. Créer Une branche de travail depuis sa branche `mon_pseudo`

### 2.2. Envoi du premier commit
